## org.apache.myfaces.custom.collapsiblepanel
Class HtmlCollapsiblePanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  javax.faces.component.html.HtmlPanelGroup
                      org.apache.myfaces.custom.collapsiblepanel.HtmlCollapsiblePanel

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlCollapsiblePanel
extends javax.faces.component.html.HtmlPanelGroup

Version:
  $Revision: 167511 $ $Date: 2005-01-10 03:22:17 -0500 (Mon, 10 Jan 2005) $
Author:
  Kalle Korhonen (latest modification by $Author: matzew $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`HtmlCollapsiblePanel()`

Method Summary
`java.lang.String` `getFamily()`
`java.lang.String` `getValue()`
`boolean` `isCollapsed()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setCollapsed(boolean collapsed)`
`void` `setValue(java.lang.String value)`

Methods inherited from class javax.faces.component.html.HtmlPanelGroup
`getStyle, getStyleClass, setStyle, setStyleClass`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlCollapsiblePanel

    public HtmlCollapsiblePanel()

Method Detail

### getFamily

    public java.lang.String getFamily()

### setCollapsed

    public void setCollapsed(boolean collapsed)

### isCollapsed

    public boolean isCollapsed()

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)